Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGOMAnimatedLength

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGAnimatedValue
          org.apache.batik.dom.svg.AbstractSVGAnimatedLength
              org.apache.batik.dom.svg.SVGOMAnimatedLength

All Implemented Interfaces:
  AnimatedLiveAttributeValue, LiveAttributeValue, org.w3c.dom.svg.SVGAnimatedLength

    public class SVGOMAnimatedLength

extends AbstractSVGAnimatedLength

This class provides an implementation of the `SVGAnimatedLength` interface.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.dom.svg.AbstractSVGAnimatedLength
`AbstractSVGAnimatedLength.AnimSVGLength, AbstractSVGAnimatedLength.BaseSVGLength`

Field Summary
`protected String` | `defaultValue` The default value if the attribute is not specified.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGAnimatedLength
`animVal, baseVal, changing, direction, HORIZONTAL_LENGTH, nonNegative, OTHER_LENGTH, VERTICAL_LENGTH`

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGAnimatedValue
`element, hasAnimVal, listeners, localName, namespaceURI`

Constructor Summary
`SVGOMAnimatedLength(AbstractElement elt, String ns, String ln, String def, short dir, boolean nonneg)` Creates a new SVGOMAnimatedLength.

Method Summary
`protected String` | `getDefaultValue()` Returns the default value to use when the associated attribute was not specified.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGAnimatedLength
`attrAdded, attrChanged, attrModified, attrRemoved, getAnimVal, getBaseVal, getCheckedValue, getUnderlyingValue, updateAnimatedValue`

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGAnimatedValue
`addAnimatedAttributeListener, fireAnimatedAttributeListeners, fireBaseAttributeListeners, getLocalName, getNamespaceURI, isSpecified, removeAnimatedAttributeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### defaultValue

    protected String defaultValue

  The default value if the attribute is not specified.

Constructor Detail

### SVGOMAnimatedLength

    public SVGOMAnimatedLength(AbstractElement elt,
                               String ns,
                               String ln,
                               String def,
                               short dir,
                               boolean nonneg)

  Creates a new SVGOMAnimatedLength.

  Parameters:
    `elt` - The associated element.
    `ns` - The attribute's namespace URI.
    `ln` - The attribute's local name.
    `def` - The default value if the attribute is not specified.
    `dir` - The length's direction.
    `nonneg` - Whether the length must be non-negative.

Method Detail

### getDefaultValue

    protected String getDefaultValue()

  Returns the default value to use when the associated attribute was not specified.

  Specified by:
    `getDefaultValue` in class `AbstractSVGAnimatedLength`
  Returns:
    the default value to use when the associated attribute was not specified.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.